Reply to topic

Error

swatil
Registered Member
Posts
8
Karma
0

Error

Sun Mar 13, 2016 2:45 pm
When I run this: cmake -DCMAKE_BUILD_TYPE=debugfull -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` ..
I'm receiving the following error:

Starting CMake configuration for: digikam-software-collection
CMake Error at CMakeLists.txt:19 (find_package):
Could not find a package configuration file provided by "ECM" (requested
version 1.5.0) with any of the following names:

ECMConfig.cmake
ecm-config.cmake

Add the installation prefix of "ECM" to CMAKE_PREFIX_PATH or set "ECM_DIR"
to a directory containing one of the above files. If "ECM" provides a
separate development package or SDK, be sure it has been installed.


I've already downloaded extra-cmake-modules in build folder. What should I do now?
User avatar Mamarok
Manager
Posts
3543
Karma
10
OS

Re: Error

Sun Mar 13, 2016 3:48 pm
And what exactly are you trying to build? Would be nice to have more information, especially also what your plasma installation is ...


Mamarok, hanging out in the Amarok forum since August, 2007
Currently running Kubuntu 18.04, Plasma 5.12.5
swatil
Registered Member
Posts
8
Karma
0

Re: Error

Sun Mar 13, 2016 4:59 pm
I'm trying to build digiKam.

KUbuntu 15.10
KDE Plasma Version : 5.4.2

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], boudewijn, Google [Bot], nshiell, rafaellinuxuser, Sogou [Bot], stratosl, TheraHedwig, z428